%define anolis_release .0.1
Name:           dtkgui
Version:        5.5.27
Release:        1%{anolis_release}%{?dist}
Summary:        Deepin dtkgui
License:        LGPLv3+
URL:            https://github.com/linuxdeepin/dtkgui
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  qt5-qtx11extras-devel
BuildRequires:  dtkcommon-devel dtkcore
BuildRequires:  dtkcore-devel
BuildRequires:  librsvg2-devel
BuildRequires:  gtest-devel
BuildRequires:  gcc-c++ gtest-devel
BuildRequires:  annobin qt5-qttools-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(gsettings-qt)
BuildRequires:  gmock-devel
BuildRequires:  qt5-qtbase-private-devel
%{?_qt5:Requires: %{_qt5}%{?_isa} = %{_qt5_version}}
BuildRequires:  make
%description
Dtkgui is the GUI module for DDE look and feel.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       dtkcore-devel%{?_isa}

%description devel
Header files and libraries for %{name}.

%prep
%autosetup

%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
%qmake_qt5 PREFIX=%{_prefix} \
           DTK_VERSION=%{version} \
           LIB_INSTALL_DIR=%{_libdir} \
           BIN_INSTALL_DIR=%{_libexecdir}/dtk5 \
           TOOL_INSTALL_DIR=%{_libexecdir}/dtk5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.md
%license LICENSE
%{_libdir}/lib%{name}.so.5*
%{_libexecdir}/dtk5/deepin-gui-settings
%{_libexecdir}/dtk5/dde-kwin-debug
%{_libexecdir}/dtk5/dnd-test-client
%{_libexecdir}/dtk5/dnd-test-server

%files devel
%{_includedir}/libdtk-*/
%{_libdir}/pkgconfig/dtkgui.pc
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_dtkgui.pri
%{_libdir}/cmake/DtkGui/
%{_libdir}/lib%{name}.so

%changelog
* Wed Sep 20 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.5.27-1.0.1
- rebuild for qt5-qtbase-5.15.3

* Fri Dec 23 2022 liweiganga <liweiganga@uniontech.com> - 5.5.27-1
- update: update to 5.5.27

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.5.18-1.01
- update: update to 5.5.18-1.01
